/// <binding BeforeBuild='copy:angular, cssmin:all, cssmin, copy' Clean='default, copy:angular, cssmin, copy' />
/// <reference path="bower_components/angular/angular.min.js" />
/// <reference path="bower_components/angular/angular.js" />
/*
This file in the main entry point for defining grunt tasks and using grunt plugins.
Click here to learn more. http://go.microsoft.com/fwlink/?LinkID=513275&clcid=0x409
*/
module.exports = function (grunt) {
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-cssmin');
    grunt.loadNpmTasks('grunt-contrib-copy');
    grunt.initConfig({
        uglify: {
            global: {
                files: {
                    'wwwroot/js/app.js': [
                        'bower_components/jquery/dist/jquery.js',
                        'bower_components/angular/angular.js',
                        'bower_components/angular-treeview/angular.treeview.js',
                        'bower_components/angular-animate/angular-animate.js',
                        'bower_components/bootstrap/dist/js/bootstrap.js',
                        'bower_components/angular-bootstrap/ui-bootstrap.js',
                        'bower_components/angular-drag-and-drop-lists/angular-drag-and-drop-lists.js',
                        'bower_components/d3/d3.js',
                        'bower_components/moment/moment.js',
                        'bower_components/fullcalendar/dist/*.js',
                        'bower_components/plotly.js/dist/plotly.js',
                        'Scripts/GlobalJS/*.js',
                        'bower_components/ngDialog/js/ngDialog.js',
                        'bower_components/signalr/jquery.signalR.js'
                    ]
                }
            },
            hubs: {
                files: {
                    'wwwroot/js/hubs/graphhubber.js': ['Scripts/Hubs/GraphHubber.js', 'Scripts/Hubs/GraphDataCollector.js'],
                    'wwwroot/js/hubs/progresshubber.js': 'Scripts/Hubs/ProgressHubber.js',
                    'wwwroot/js/hubs/userinfohubber.js': 'Scripts/Hubs/UserInfoHubber.js'
                }
            }
        },
        cssmin:{
           all:{
                files:{
                    'wwwroot/css/site.min.css': [
                        'bower_components/bootstrap/dist/css/*.css',
                        'Scripts/Styling/*.css',
                        'bower_components/ngDialog/css/*.css',
                        'bower_components/animate.css/animate.css',
                        'bower_components/font-awesome/css/font-awesome.css'
                    ]
                }
            }
        },
        copy:{
            angular:{
                files:{
                    'wwwroot/js/hubs/calendarhubber.js': 'Scripts/Hubs/CalendarHubber.js',
                    'wwwroot/js/hubs/queryhubber.js': 'Scripts/Hubs/QueryHubber.js',
                    'wwwroot/js/hubs/okbmanagerhubber.js': 'Scripts/Hubs/OkbManagerHubber.js'
                }
            }
    }

    });
    grunt.registerTask('default', ['uglify', 'cssmin', 'copy']);
};